Mailinglist Archive: opensuse-ruby (83 mails)

< Previous Next >
[opensuse-ruby] issues with old rpmlint-mini
  • From: Adam Spiers <aspiers@xxxxxxxx>
  • Date: Mon, 5 Nov 2012 13:55:21 +0000
  • Message-id: <20121105135520.GF24068@pacific.linksys.moosehall>
[cross-posted, but let's divide follow-ups: general rpmlint discussion
to opensuse-buildservice, and rubygem rpmlint issues to opensuse-ruby,
thanks :-]

Hi all,

It seems that the newest version of rpmlint-mini in OBS is only 1.3.
Presumably this means we are lagging quite far behind upstream
rpmlint, because 1.4 was released almost a year ago:

http://www.zarb.org/pipermail/rpmlint-discuss/2011-December/001008.html

One issue with 1.3 (and in fact even 1.4) is that we are getting a
bunch of spurious warnings from every rubygem package build, due to ri
documentation files containing percent-encoded characters:

http://rpmlint.zarb.org/cgi-bin/trac.cgi/ticket/569

The fix is simple:


http://sourceforge.net/p/rpmlint/code/ci/ae8a019e53784a45c59f23a7b09ad47ea7584795/tree/AbstractCheck.py?diff=3c53f428fa82608b6cbc980fe8b1d15ad76eabb4

and could presumably be backported very easily.

So what's the policy on updating rpmlint-mini?

Thanks,
Adam
--
To unsubscribe, e-mail: opensuse-ruby+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-ruby+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages